/* 
 * File:   rkods.h
 * Author: Pavel
 *
 * Created on 23. bezna 2016, 17:56
 */

#ifndef RKODS_H
#define	RKODS_H

#ifdef	__cplusplus
extern "C" {
#endif

#define ERAZ    0xAC    //mae dek
#define RTXT    0xAA    //penos textu do mastera
#define BUTN    0xB3    //nate stav tlatek
#define DMOD    0xB2    //mdy zobrazen, fonty, RC2 atd
#define RC2H    0x31    //RC2 do H   
#define RC2L    0x30    //RC2 do L
#define RC2B    0x33    //RC2 do L, je-li tlatko
#define FOFF    0x50    //Freq Cnt OFF
#define FQE1    0x51    //Freq Cnt ON row1
#define FQE2    0x52    //Freq Cnt ON row2
#define FQE3    0x53    //Freq Cnt ON row3
#define FQE4    0x54    //Freq Cnt ON row4
#define FQEN    0x55    //Freq Cnt ON
#define FNT0    0x40    //nate s ASCII font    
#define FNT1    0x41    //nate vnitn font 1
#define FNT2    0x42    //nate vnitn font 2
#define FNT3    0x43    //nate vnitn font 3    
#define VDD     0xB6    //nate velikost Vdd
#define VOLT    0xB7    //nate napt na RC3
#define TEMP    0xB8    //nate teplotu
#define BUFF    0xBF    //nate zaplnn bufferu
#define RSET    0xBD    //Reset
#define BRIG    0xBA    //nastav podsvcen
#define CMND    0xBC    //povel pro adi LCD
#define BARG    0xB4    //zobraz bargraf
    
#define ROW1    0x80    //prvn dek
#define ROW2    0xC0    //druh dek
#define ROW3    0x94    //tet dek
#define ROW4    0xD4    //tvrt dek
#define ADRF    0x40    //adresa fontu
    
#define COFF    0x0C    //vypne kurzor
#define CON     0x0E    //zapne kurzor

    

    

#ifdef	__cplusplus
}
#endif

#endif	/* RKODS_H */

